package com.jeeplus.modules.sg.financial.erpcredit.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.io.Serializable;

/**
 * 项目付款金额对象
 */
public class ErpJudgeExport implements Serializable {
    private String itemId;//项目id
    private String itemName;//项目名称
    private String constructionFeePayable;//施工费应付金额
    private String consTotalFee;//施工：总计
    private String designFeePayable;//设计费应付金额
    private String otherDesignFee;//其他设计费
    private String supervisorFeePayable;//监理费应付金额
    private String otherSupervisorFee;//其他：监理费
    @ExcelField(title="项目定义号", align=2, sort=1)
    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }
    @ExcelField(title="项目名称", align=2, sort=2)
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    @ExcelField(title="施工费应付金额", align=2, sort=3)
    public String getConstructionFeePayable() {
        return constructionFeePayable;
    }

    public void setConstructionFeePayable(String constructionFeePayable) {
        this.constructionFeePayable = constructionFeePayable;
    }
    @ExcelField(title="施工费实付金额", align=2, sort=4)
    public String getConsTotalFee() {
        return consTotalFee;
    }

    public void setConsTotalFee(String consTotalFee) {
        this.consTotalFee = consTotalFee;
    }
    @ExcelField(title="设计费应付金额", align=2, sort=5)
    public String getDesignFeePayable() {
        return designFeePayable;
    }

    public void setDesignFeePayable(String designFeePayable) {
        this.designFeePayable = designFeePayable;
    }
    @ExcelField(title="设计费实付金额", align=2, sort=6)
    public String getOtherDesignFee() {
        return otherDesignFee;
    }

    public void setOtherDesignFee(String otherDesignFee) {
        this.otherDesignFee = otherDesignFee;
    }
    @ExcelField(title="监理费应付金额", align=2, sort=7)
    public String getSupervisorFeePayable() {
        return supervisorFeePayable;
    }

    public void setSupervisorFeePayable(String supervisorFeePayable) {
        this.supervisorFeePayable = supervisorFeePayable;
    }
    @ExcelField(title="监理费实付金额", align=2, sort=8)
    public String getOtherSupervisorFee() {
        return otherSupervisorFee;
    }

    public void setOtherSupervisorFee(String otherSupervisorFee) {
        this.otherSupervisorFee = otherSupervisorFee;
    }
}
